<?php
/**
 * Site information display template section
 *
 * @package Interactive Education
 */

?>

<div class="site-info">
	<?php
    $interactive_education_footer_text = get_theme_mod('interactive_education_footer_text', '');

	if (!empty($interactive_education_footer_text)) {
        $interactive_education_text = esc_html($interactive_education_footer_text);
    } else {
		$theme = wp_get_theme();
		$interactive_education_text = sprintf(
			/* translators: 1: Theme author with link, 2: Copyright year, 3: Theme name with link */
			esc_html__('Theme design by %1$s | Copyright @ %2$s %3$s', 'interactive-education'),
			'<a href="' . esc_url($theme->get('AuthorURI')) . '" target="_blank">' . esc_html($theme->get('Author')) . '</a>',
			esc_html(date('Y')),
			'<a href="' . esc_url($theme->get('ThemeURI')) . '" target="_blank">' . esc_html($theme->get('Name')) . '</a>'
		);
    }
	?>
	<p><?php echo $interactive_education_text; ?></p>
</div>